package com.muyu.common.data.base;

/**
 * @Author：zhangzhihao
 * @name：BaseDataSource
 * @Date：2024/8/28 18:50
 * 不准抄代码，添加注释，清楚每一行代码意思
 */

import com.muyu.etl.domain.DataValue;

/**
 * 数据源基准
 */
public interface BaseDataSource {

    public void setQuery(BaseQuery baseQuery);

    public <T> T getQuery();

    public DataValue getDataValue();

    DataValue[] getRow();

    DataValue[][] getRows();


}
