package com.muyu.common.data.base;

/**
 * @Author：zhangzhihao
 * @name：BaseQueryHandler
 * @Date：2024/8/28 19:02
 * 不准抄代码，添加注释，清楚每一行代码意思
 */

/**
 * 基础查询
 */
public class BaseQueryHandler {
    private static final ThreadLocal<BaseQuery> BASE_QUERY_THREAD_LOCAL = new ThreadLocal<>();

    public static void set(BaseQuery baseQuery){
        BASE_QUERY_THREAD_LOCAL.set(baseQuery);
    }

    public static <T> T  get(){
        return (T) BASE_QUERY_THREAD_LOCAL.get();
    }

}
