package com.muyu.common.pool;

/**
 * @Author：zhangzhihao
 * @name：BasePool
 * @Date：2024/8/22 17:42
 * 不准抄代码，添加注释，清楚每一行代码意思
 * 提供了一个连接池的准则
 */
public interface BasePool<T> {

    /**
     * 初始化
     */
    public void init();

    /**
     * 获取连接
     * @return
     */
    public T getConn();

    /**
     * 归还连接
     * @param conn
     */
    public void replease(T conn);

    /**
     * 创建连接
     * @return
     */
    public T createConn();

    /**
     * 关闭连接
     */
    public void closeConn();




}
