package com.muyu.datasources;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.EnableAspectJAutoProxy;

/**
 * @Author：zhangzhihao
 * @name：DataSourcesApplication
 * @Date：2024/8/21 14:37
 * 不准抄代码，添加注释，清楚每一行代码意思
 */
@EnableCustomConfig
@EnableMyFeignClients
@SpringBootApplication
//@ComponentScan(basePackages = {"com.muyu", "com.muyu.datasources.mysql"})
public class DataSourcesApplication {
    public static void main(String[] args) {
        SpringApplication.run(DataSourcesApplication.class);
    }
}
