package com.muyu.datasources.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.common.domain.AssetAccredit;
import com.muyu.common.domain.req.AssetAccreditReq;
import com.muyu.common.domain.resp.AssetAccreditResp;
import com.muyu.common.system.domain.SysDept;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author：zhangzhihao
 * @name：AssetAccreditMapper
 * @Date：2024/8/30 9:40
 * 不准抄代码，添加注释，清楚每一行代码意思
 */
@Mapper
public interface AssetAccreditMapper extends BaseMapper<AssetAccredit> {


    List<Long> findUserIdList(AssetAccreditReq req);


    List<Long> findDeptIdList(AssetAccreditReq req);

    List<AssetAccreditResp> findTableIdAndBasicIdByUserId(@Param("userId") Long userId);

    List<AssetAccreditResp> findTableIdAndBasicIdByDeptId(@Param("deptId") Long deptId);
}
